Bug 109020 - Graphics bug with ATI Radeon 7000 (PCI)
Graphics bug with ATI Radeon 7000 (PCI)
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-11-04 09:36 EST by Arthur Wilkinson
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-12 09:03:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Arthur Wilkinson 2003-11-04 09:36:32 EST
From Bugzilla Helper:
User-Agent: Opera/7.21 (Windows NT 5.1; U)  [en]

Description of problem:
To get RedHat Linux to run in graphical mode using an ATI Radeon 7000 
(PCI), you must use the ForcePCIMode option.

Some bug keeps the X Window System from recognizing/running in PCI 
mode on that card.

Funny, though, that this never happened with RedHat 8...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RedHat 9
2. Boot it up (on a machine using the ATI Radeon 7000 PCI card)
3. Attempt to start the X Window System

Actual Results:  The screen went blank, and never came back on.

Expected Results:  Graphical loggin should have happened.

Or in the case of attempting to start the X Window System after 
non-graphical loggin, the Gnome desktop should have loaded.

Additional info:
Comment 1 Mike A. Harris 2003-11-29 08:54:07 EST
This bug is misfiled against a nonexistant software component
(X11R6-contrib), and would have never been seen had I not just
found it accidentally while querying all bugs for "pci radeon".

Please make sure to file bugs against the proper component to
ensure the right people see the problem.

Reassigning to XFree86 component.
Comment 2 Mike A. Harris 2003-11-29 09:24:07 EST
Radeon PCI hardware is not officially supported by DRI, and may
or may not work at all if DRI is enabled.  Be sure to disable DRI
completely, and to use option ForcePCIMode as indicated on the
"radeon" manpage.

AGP/PCI has never autodetected in the Radeon driver, however
the mechanism to try to use it has changed over time.  In the
past, if agpgart didn't load, DRI just disabled, and PCI
hardware would usually just work without 3D.  In 4.3.0 however
there is experimental DRI support for PCI Radeon, and it must
be disabled explicitly if it doesn't work.  Please try the options
I mention above to see if it works for you.

On a coincidental side note however, I am currently trying to
make the driver properly autodetect PCI Radeon using proper
methods now, and future updates should autodetect AGP cards and
use AGP ability if agpgart is present or can be loaded, and
fall back to PCIgart if not.  For PCI cards, they should default
to PCI mode in the future.  For PCI Radeon users that have lockups
with DRI, they'll need to disable the experimental DRI support,
or debug the problem and try to find a solution, since the problems
are different for every user and generally not reproduceable on
random hardware.  Also, in the future, AGP Radeon users having
lockups should be able to try to use pcigart as an alternative,
as it is getting better now.

Can you attach your X server log file and config file also, and
the output of the command:  "lspci -vvvxxx"

Please try my suggestions above, and update the bug report.
Hopefully it can help to make the driver better in the future.

Comment 3 Arthur Wilkinson 2003-12-02 09:10:46 EST
I did figure out how to work around the problem, but since I never 
had the problem with RedHat 8 I figured it was a bug in RedHat 9.

BTW: Sorry I posted this in the wrong place. I got a bit confused 
trying to find something about the X Window System. I'm still fairly 
new to Unix-based systems.
Comment 4 Mike A. Harris 2004-10-12 09:03:08 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:


If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.